import { OpenOrders } from '@project-serum/serum';
import { Connection, PublicKey } from '@solana/web3.js';
import { I80F48 } from './fixednum';
import { MangoCache, MetaData, PerpAccount, RootBankCache } from './layout';
import MangoGroup from './MangoGroup';
import RootBank from './RootBank';
export default class MangoAccount {
    publicKey: PublicKey;
    metaData: MetaData;
    mangoGroup: PublicKey;
    owner: PublicKey;
    inMarginBasket: boolean[];
    numInMarginBasket: number;
    deposits: I80F48[];
    borrows: I80F48[];
    spotOpenOrders: PublicKey[];
    spotOpenOrdersAccounts: (OpenOrders | undefined)[];
    perpAccounts: PerpAccount[];
    beingLiquidated: boolean;
    constructor(publicKey: PublicKey, decoded: any);
    reload(connection: Connection): Promise<MangoAccount>;
    getNativeDeposit(rootBank: RootBank | RootBankCache, tokenIndex: number): I80F48;
    getNativeBorrow(rootBank: RootBank | RootBankCache, tokenIndex: number): I80F48;
    getUiDeposit(rootBank: RootBank | RootBankCache, mangoGroup: MangoGroup, tokenIndex: number): I80F48;
    getUiBorrow(rootBank: RootBank | RootBankCache, mangoGroup: MangoGroup, tokenIndex: number): I80F48;
    loadOpenOrders(connection: Connection, serumDexPk: PublicKey): Promise<(OpenOrders | undefined)[]>;
    getSpotHealth(mangoCache: any, marketIndex: any, assetWeight: any, liabWeight: any): I80F48;
    getHealth(mangoGroup: MangoGroup, mangoCache: MangoCache, healthType: HealthType): I80F48;
}
declare type HealthType = 'Init' | 'Maint';
export {};
//# sourceMappingURL=MangoAccount.d.ts.map