import { Connection, PublicKey } from '@solana/web3.js';
import BN from 'bn.js';
import { BookSide, FillEvent, MangoAccount, PerpEventQueue } from '.';
import { I80F48 } from './fixednum';
export default class PerpMarket {
    publicKey: PublicKey;
    baseDecimals: number;
    quoteDecimals: number;
    mangoGroup: PublicKey;
    bids: PublicKey;
    asks: PublicKey;
    eventQueue: PublicKey;
    longFunding: I80F48;
    shortFunding: I80F48;
    openInterest: BN;
    quoteLotSize: BN;
    indexOracle: PublicKey;
    lastUpdated: BN;
    seqNum: BN;
    contractSize: BN;
    constructor(publicKey: PublicKey, baseDecimals: number, quoteDecimals: number, decoded: any);
    priceLotsToNative(price: BN): I80F48;
    baseLotsToNative(quantity: BN): I80F48;
    priceLotsToNumber(price: BN | number): number;
    baseLotsToNumber(quantity: BN | number): number;
    loadEventQueue(connection: Connection): Promise<PerpEventQueue>;
    loadFills(connection: Connection): Promise<FillEvent[]>;
    loadBids(connection: Connection): Promise<BookSide>;
    loadAsks(connection: Connection): Promise<BookSide>;
    loadOrdersForAccount(connection: Connection, account: MangoAccount): Promise<import("./book").PerpOrder[]>;
}
//# sourceMappingURL=PerpMarket.d.ts.map