import { u64 } from '@solana/spl-token';
import { Account, Connection, PublicKey, Transaction, TransactionInstruction, TransactionSignature } from '@solana/web3.js';
export declare const MangoProgramId: PublicKey;
export declare const DexProgramId: PublicKey;
export declare const USDCMint: PublicKey;
export declare function _sendTransaction(connection: Connection, transaction: Transaction, signers: Account[]): Promise<TransactionSignature>;
export declare function createDevnetConnection(): Connection;
export declare function airdropSol(connection: Connection, account: Account, amount: number): Promise<void>;
export declare function createOracle(connection: Connection, programId: PublicKey, payer: Account): Promise<PublicKey>;
export declare function createAccount(connection: Connection, solBalance?: number): Promise<Account>;
export declare function createTokenAccountWithBalance(connection: Connection, owner: Account, tokenMint: PublicKey, tokenDecimals: number, faucetId: PublicKey, amount: number): Promise<PublicKey>;
export declare function airdropTokens(connection: Connection, feePayerAccount: Account, faucetPubkey: PublicKey, tokenDestinationPublicKey: PublicKey, mint: PublicKey, amount: u64): Promise<string>;
export declare function buildAirdropTokensIx(amount: u64, tokenMintPublicKey: PublicKey, destinationAccountPubkey: PublicKey, faucetPubkey: PublicKey): Promise<TransactionInstruction>;
export declare function createTokenAccount(connection: Connection, mint: PublicKey, owner: Account): Promise<PublicKey>;
export declare function createTokenAccountInstrs(connection: Connection, newAccountPubkey: PublicKey, mint: PublicKey, ownerPk: PublicKey, lamports?: number): Promise<TransactionInstruction[]>;
//# sourceMappingURL=utils.d.ts.map